Change in docker-playground[master]: Switch ttcn3-* master tests from Debian stretch to bullseys

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

osmith gerrit-no-reply at lists.osmocom.org
Thu Dec 16 10:54:06 UTC 2021


osmith has submitted this change. ( https://gerrit.osmocom.org/c/docker-playground/+/26583 )

Change subject: Switch ttcn3-* master tests from Debian stretch to bullseys
......................................................................

Switch ttcn3-* master tests from Debian stretch to bullseys

So far we were using ancient Debian 9 (stretch) for our IUT
containers.  Let's upgrade that to Debian 11 (bullseye).

Related: OS#4969
Change-Id: Ic6bece9cb695e6eccfcb1e83fdbf1048724a3cf9
---
M jenkins-common.sh
M make/Makefile
2 files changed, 13 insertions(+), 9 deletions(-)

Approvals:
  osmith: Looks good to me, approved; Verified
  pespin: Looks good to me, but someone else must approve



diff --git a/jenkins-common.sh b/jenkins-common.sh
index 9610676..5af91fb 100644
--- a/jenkins-common.sh
+++ b/jenkins-common.sh
@@ -20,7 +20,7 @@
 	osmo-*-centos7) echo "centos7-build" ;;
 	osmo-*-centos8) echo "centos8-build" ;;
 	osmo-*-latest) echo "debian-stretch-obs-latest" ;;
-	osmo-*) echo "debian-stretch-build" ;;
+	osmo-*) echo "debian-bullseye-build" ;;
 	ttcn3-*) echo "debian-bullseye-titan" ;;
 	esac
 }
@@ -31,7 +31,8 @@
 	osmo-*-centos8) echo "centos8" ;;
 	centos7-*) echo "centos7" ;;
 	centos8-*) echo "centos8" ;;
-	*) echo "debian-stretch" ;;
+	debian-buster-*) echo "debian-buster" ;;
+	*) echo "debian-bullseye" ;;
 	esac
 }
 
@@ -42,7 +43,10 @@
 	centos7-*) echo "centos:centos7" ;;
 	centos8-*) echo "centos:centos8" ;;
 	debian10-*) echo "debian:buster" ;;
-	*) echo "debian:stretch" ;;
+	debian11-*) echo "debian:bullseye" ;;
+	debian-stretch-*) echo "debian:stretch" ;;
+	debian-buster-*) echo "debian:buster" ;;
+	*) echo "debian:bullseye" ;;
 	esac
 }
 
@@ -109,7 +113,7 @@
 }
 
 # Make sure required images are available and build them if necessary.
-# $*: image names (e.g. "debian-stretch-build", "osmo-mgw-master", "osmo-mgw-master-centos8")
+# $*: image names (e.g. "debian-bullseye-build", "osmo-mgw-master", "osmo-mgw-master-centos8")
 #	The images are automatically built from the Dockerfile of the subdir of
 #	the same name. If there is a distribution name at the end of the image
 #	name (e.g. osmo-mgw-master-centos8), it gets removed from the subdir
@@ -232,8 +236,8 @@
 }
 
 fix_perms() {
-	if ! docker_image_exists "debian-stretch-build"; then
-		docker_images_require "debian-stretch-build"
+	if ! docker_image_exists "debian-bullseye-build"; then
+		docker_images_require "debian-bullseye-build"
 	fi
 
 	echo Fixing permissions
@@ -241,7 +245,7 @@
 			-v $VOL_BASE_DIR:/data \
 			-v $CACHE_DIR:/cache \
 			--name ${BUILD_TAG}-cleaner \
-			$REPO_USER/debian-stretch-build \
+			$REPO_USER/debian-bullseye-build \
 			chmod -R a+rX /data/ /cache/
 }
 
diff --git a/make/Makefile b/make/Makefile
index 416fc18..8bd360d 100644
--- a/make/Makefile
+++ b/make/Makefile
@@ -36,8 +36,8 @@
 OSMO_SIP_BRANCH?=master
 OSMO_STP_BRANCH?=master
 PULL?=
-UPSTREAM_DISTRO?=debian:stretch
-DISTRO?=debian-stretch
+UPSTREAM_DISTRO?=debian:bullseye
+DISTRO?=debian-bullseye
 
 # Full OBS repository mirror consists of:
 # ${OSMOCOM_REPO_MIRROR}/${OSMOCOM_REPO_PATH}/${OSMOCOM_REPO_VERSION}

-- 
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/26583
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: Ic6bece9cb695e6eccfcb1e83fdbf1048724a3cf9
Gerrit-Change-Number: 26583
Gerrit-PatchSet: 4
Gerrit-Owner: laforge <laforge at osmocom.org>
Gerrit-Assignee: osmith <osmith at sysmocom.de>
Gerrit-Reviewer: osmith <osmith at sysmocom.de>
Gerrit-Reviewer: pespin <pespin at sysmocom.de>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20211216/df5aa077/attachment.htm>


More information about the gerrit-log mailing list